package com.yanzhenjie.andserver.sample.model;//

// Created by Develoven on 2023/4/23.
// Copyright (c) 2023 redflow. All rights reserved.
//

public class PulseDevice {
    private String name;
    private String address;
    private int rssi;
    private boolean flag = false;

    public PulseDevice(String name, String address, int rssi ) {
        this.name = name;
        this.address = address;
        this.rssi = rssi;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getRssi() {
        return rssi;
    }

    public void setRssi(int rssi) {
        this.rssi = rssi;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public boolean getFlag (){
        return flag;
    }

    @Override
    public String toString() {
        return "ScannedDevice{" +
                "name='" + name + '\'' +
                ", address='" + address + '\'' +
                ", rssi=" + rssi +
                '}';
    }

    @Override
    public boolean equals(Object obj) {
        PulseDevice o = (PulseDevice) obj;
        return name.equals(o.name) && address.equals(o.address);
    }
}

